Subject: Re: linux-next 20201126 - build error on arm allmodconfig

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 26 Nov 2020 14:32:40 +0000

On Thu, Nov 26, 2020 at 09:22:53AM -0500, Valdis Klētnieks wrote:
> On Thu, 26 Nov 2020 14:14:29 +0000, Russell King - ARM Linux admin said:
> 
> > The real answer is for asm/kasan.h to include linux/linkage.h
> 
> Looking deeper, there's  7 different arch/../asm/kasan.h - are we better off
> patching all 7, or having include/linux/kasan.h include it just before
> the include of asm/kasan.h?

I wouldn't like to say definitively - it depends on what the policy
now is. However, linux/linage.h is way cheaper than linux/pgtable.h
so it probably makes sense for linux/kasan.h to include it given the
number of asm/kasan.h headers needing it.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel